id: wordpress-instagram-feed

info:
  name: Smash Balloon Social Photo Feed – Easy Social Feeds Plugin Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/instagram-feed/
  metadata:
    plugin_namespace: instagram-feed
    wpscan: https://wpscan.com/plugin/instagram-feed
  tags: tech,wordpress,wp-plugin,top-100,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/instagram-feed/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/instagram-feed.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 4a0a00473045022100d5c04d4f816abf0a04641e39a99a9f32fb7b7c9cc8c392a5a4f42cf01ba8e83202200b1527789fc84485913aba874b5de366f82728b7a833efb995e552a0174500c0:922c64590222798bb761d5b6d8e72950